# Test goal: 3D linear elastic simple loading problem.
# Author: Pavel Exner
# Source for reference:
# Hook's law:
# exx = 1/E(sxx - nu(syy + szz))
# eyy = 1/E(syy - nu(sxx + szz))
# ezz = 1/E(szz - nu(sxx + syy))
#
# for this case:
# eyy = exx = 0   =>   sxx = syy = nu/(1-nu)*szz = -2.5
#
# sxx = syy = -2.5
# ezz = -0.1125
# uz = -0.225

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: 3D linear elastic simple loading problem.
  mesh:
    mesh_file: ../00_mesh/cube_2x2x2.msh
  flow_equation: !Coupling_Iterative
    input_fields:
      - region: BULK
        biot_alpha: 0
        fluid_density: 1
        gravity: 0
    time:
      end_time: 1
    a_tol: 1e-15
    r_tol: 1e-12

    flow_equation: !Flow_Darcy_LMH
        gravity: [0,0,0]
        input_fields:
          - region: BULK
            conductivity: 1
            init_pressure: 0
          - region: [.BOUNDARY ]
            bc_type: dirichlet
            bc_pressure: 0
        output:
          fields: []

    mechanics_equation:
        output_stream:
          file: mechanics.pvd
          format: !vtk
        output:
          fields:
            - displacement
            - stress
            - displacement_divergence
        solver: !Petsc
          a_tol: 1e-20
          r_tol: 1e-15
        input_fields:
          - region: BULK
            young_modulus: 80
            poisson_ratio: 0.2

          - region: [.left_x, .right_x, .front_y, .back_y]
            bc_type: displacement_n
            bc_displacement: 0

          - region: [.bottom_z]
            bc_type: displacement
            bc_displacement: 0

          - region: .top_z
            bc_type: traction
            bc_traction: [0,0,-10]
